<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>ActionQueue</name>
    <filename>classActionQueue.html</filename>
    <member kind="function">
      <type></type>
      <name>ActionQueue</name>
      <anchor>a0</anchor>
      <arglist>(KPilotDeviceLink *device)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAction</name>
      <anchor>a3</anchor>
      <arglist>(SyncAction *a)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>queueInit</name>
      <anchor>a4</anchor>
      <arglist>(int mode=WithUserCheck)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>queueConduits</name>
      <anchor>a5</anchor>
      <arglist>(KConfig *, const QStringList &amp;conduits, int mode=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>queueInstaller</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;dir, const QStringList &amp;files)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>queueCleanup</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>actionCompleted</name>
      <anchor>j0</anchor>
      <arglist>(SyncAction *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>clear</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>SyncAction *</type>
      <name>nextAction</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>exec</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>fReady</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KConfig *</type>
      <name>fConfig</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>fInstallerDir</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>fInstallerFiles</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>fConduits</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConduitAction</name>
    <filename>classConduitAction.html</filename>
    <member kind="function">
      <type></type>
      <name>ConduitAction</name>
      <anchor>a0</anchor>
      <arglist>(KPilotDeviceLink *, const char *name=0L, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setConfig</name>
      <anchor>a2</anchor>
      <arglist>(KConfig *c)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>conduitName</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>isTest</name>
      <anchor>b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>isBackup</name>
      <anchor>b1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>isLocal</name>
      <anchor>b2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>getSyncDirection</name>
      <anchor>b3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>eConflictResolution</type>
      <name>getConflictResolution</name>
      <anchor>b4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>isFullSync</name>
      <anchor>b5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>isFirstSync</name>
      <anchor>b6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>openDatabases</name>
      <anchor>b7</anchor>
      <arglist>(const QString &amp;dbName, bool *retrieved=0L)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KConfig *</type>
      <name>fConfig</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PilotDatabase *</type>
      <name>fDatabase</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PilotDatabase *</type>
      <name>fLocalDatabase</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>fSyncDirection</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>eConflictResolution</type>
      <name>fConflictResolution</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>fFirstSync</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>fConduitName</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConduitConfig</name>
    <filename>classConduitConfig.html</filename>
    <member kind="function">
      <type></type>
      <name>ConduitConfig</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0L, const char *name=0L, const QStringList &amp;args=QStringList()) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setConfig</name>
      <anchor>a2</anchor>
      <arglist>(KConfig *c)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readSettings</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>conduitName</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KConfig *</type>
      <name>fConfig</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>fConduitName</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConduitConfigBase</name>
    <filename>classConduitConfigBase.html</filename>
    <member kind="function">
      <type></type>
      <name>ConduitConfigBase</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0L, const char *n=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isModified</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>widget</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>commit</name>
      <anchor>a4</anchor>
      <arglist>(KConfig *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>load</name>
      <anchor>a5</anchor>
      <arglist>(KConfig *)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>maybeSave</name>
      <anchor>a6</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>conduitName</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>modified</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QString</type>
      <name>maybeSaveText</name>
      <anchor>b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>unmodified</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>fModified</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QWidget *</type>
      <name>fWidget</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>fConduitName</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConduitConfigImplementation</name>
    <filename>classConduitConfigImplementation.html</filename>
    <base>ConduitConfig</base>
    <member kind="function">
      <type></type>
      <name>ConduitConfigImplementation</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *, const char *, const QStringList &amp;, ConduitConfigBase *(*f)(QWidget *, const char *)) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readSettings</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>commitChanges</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ConduitConfigBase *</type>
      <name>fConfigWidget</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConduitProxy</name>
    <filename>classConduitProxy.html</filename>
    <base>ConduitAction</base>
    <member kind="function">
      <type></type>
      <name>ConduitProxy</name>
      <anchor>a0</anchor>
      <arglist>(KPilotDeviceLink *, const QString &amp;desktopName, int m)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>execDone</name>
      <anchor>j0</anchor>
      <arglist>(SyncAction *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>exec</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>fDesktopName</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>fLibraryName</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ConduitAction *</type>
      <name>fConduit</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>fMode</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DBFlagsEditor</name>
    <filename>classDBFlagsEditor.html</filename>
    <member kind="function">
      <type></type>
      <name>DBFlagsEditor</name>
      <anchor>a0</anchor>
      <arglist>(DBInfo *dbinfo=0L, QWidget *parent=0)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>fillWidgets</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DBInfo *</type>
      <name>dbi</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DBFlagsEditorWidget *</type>
      <name>widget</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DBRecordEditor</name>
    <filename>classDBRecordEditor.html</filename>
    <member kind="function">
      <type></type>
      <name>DBRecordEditor</name>
      <anchor>a0</anchor>
      <arglist>(PilotRecord *r=0L, int n=-1, QWidget *parent=0)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>languageChange</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initWidgets</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>fillWidgets</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLabel *</type>
      <name>fRecordIndexLabel</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLabel *</type>
      <name>fRecordIDLabel</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>fRecordIndex</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>fRecordID</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QButtonGroup *</type>
      <name>fFlagsGroup</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>fDirty</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>fDeleted</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>fBusy</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>fSecret</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>fArchived</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QWidget *</type>
      <name>fRecordData</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGridLayout *</type>
      <name>DBRecordEditorBaseLayout</name>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGridLayout *</type>
      <name>fFlagsGroupLayout</name>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QWidget *</type>
      <name>fWidget</name>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>char *</type>
      <name>fBuffer</name>
      <anchor>p14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PilotRecord *</type>
      <name>rec</name>
      <anchor>p15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>nr</name>
      <anchor>p16</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ListCategorizer</name>
    <filename>classListCategorizer.html</filename>
    <member kind="function">
      <type></type>
      <name>ListCategorizer</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ListCategorizer</name>
      <anchor>a1</anchor>
      <arglist>(const QStringList &amp;categories, bool startOpen, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCategories</name>
      <anchor>a2</anchor>
      <arglist>(const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QListViewItem *</type>
      <name>addCategory</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;name, const QString &amp;description=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>categories</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QListViewItem *</type>
      <name>addItem</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;category, const QString &amp;name, const QString &amp;description=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>items</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;category, int column=0) const </arglist>
    </member>
    <member kind="function">
      <type>QListViewItem *</type>
      <name>findCategory</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;categoryName) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PilotAddress</name>
    <filename>classPilotAddress.html</filename>
    <member kind="function">
      <type></type>
      <name>PilotAddress</name>
      <anchor>a0</anchor>
      <arglist>(struct AddressAppInfo &amp;appInfo)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PilotAddress</name>
      <anchor>a1</anchor>
      <arglist>(struct AddressAppInfo &amp;appInfo, PilotRecord *rec)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PilotAddress</name>
      <anchor>a2</anchor>
      <arglist>(const PilotAddress &amp;copyFrom)</arglist>
    </member>
    <member kind="function">
      <type>PilotAddress &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const PilotAddress &amp;r)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a4</anchor>
      <arglist>(const PilotAddress &amp;r)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>getTextRepresentation</name>
      <anchor>a6</anchor>
      <arglist>(bool richText=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setField</name>
      <anchor>a8</anchor>
      <arglist>(int field, const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getField</name>
      <anchor>a9</anchor>
      <arglist>(int field) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getCategoryLabel</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setCategory</name>
      <anchor>a11</anchor>
      <arglist>(const QString &amp;label)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getPhoneField</name>
      <anchor>a12</anchor>
      <arglist>(EPhoneType type, bool checkCustom4=true) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPhoneField</name>
      <anchor>a13</anchor>
      <arglist>(EPhoneType type, const QString &amp;field, bool overflowCustom=true)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getShownPhone</name>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShownPhone</name>
      <anchor>a15</anchor>
      <arglist>(EPhoneType phoneType)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getPhoneLabelIndex</name>
      <anchor>a16</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>PilotRecord *</type>
      <name>pack</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>pack</name>
      <anchor>a18</anchor>
      <arglist>(void *, int *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unpack</name>
      <anchor>a19</anchor>
      <arglist>(const void *, int=0)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const int</type>
      <name>APP_BUFFER_SIZE</name>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>const char *</type>
      <name>getFieldP</name>
      <anchor>b0</anchor>
      <arglist>(int field) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PilotDatabase</name>
    <filename>classPilotDatabase.html</filename>
    <member kind="function">
      <type></type>
      <name>PilotDatabase</name>
      <anchor>a0</anchor>
      <arglist>(QObject *, const char *)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>createDatabase</name>
      <anchor>a2</anchor>
      <arglist>(long creator=0, long type=0, int cardno=0, int flags=0, int version=0)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>deleteDatabase</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>readAppBlock</name>
      <anchor>a4</anchor>
      <arglist>(unsigned char *buffer, int maxLen)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>writeAppBlock</name>
      <anchor>a5</anchor>
      <arglist>(unsigned char *buffer, int len)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>recordCount</name>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QValueList&lt; recordid_t &gt;</type>
      <name>idList</name>
      <anchor>a7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual PilotRecord *</type>
      <name>readRecordById</name>
      <anchor>a8</anchor>
      <arglist>(recordid_t id)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual PilotRecord *</type>
      <name>readRecordByIndex</name>
      <anchor>a9</anchor>
      <arglist>(int index)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual PilotRecord *</type>
      <name>readNextRecInCategory</name>
      <anchor>a10</anchor>
      <arglist>(int category)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual PilotRecord *</type>
      <name>readNextModifiedRec</name>
      <anchor>a11</anchor>
      <arglist>(int *ind=NULL)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual recordid_t</type>
      <name>writeRecord</name>
      <anchor>a12</anchor>
      <arglist>(PilotRecord *newRecord)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>deleteRecord</name>
      <anchor>a13</anchor>
      <arglist>(recordid_t id, bool all=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>resetSyncFlags</name>
      <anchor>a14</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>resetDBIndex</name>
      <anchor>a15</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>cleanup</name>
      <anchor>a16</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDBOpen</name>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>dbPathName</name>
      <anchor>a18</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>listAppInfo</name>
      <anchor>e0</anchor>
      <arglist>(const struct CategoryAppInfo *)</arglist>
    </member>
    <member kind="variable">
      <type>enum PilotDatabase::@2</type>
      <name>Constants</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>openDatabase</name>
      <anchor>b0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>closeDatabase</name>
      <anchor>b1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setDBOpen</name>
      <anchor>b2</anchor>
      <arglist>(bool yesno)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ResolutionTable</name>
    <filename>classResolutionTable.html</filename>
    <member kind="variable">
      <type>SyncAction::eConflictResolution</type>
      <name>fResolution</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>labels</name>
      <anchor>o1</anchor>
      <arglist>[3]</arglist>
    </member>
    <member kind="variable">
      <type>enum eExistItems</type>
      <name>fExistItems</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SorryAction</name>
    <filename>classSorryAction.html</filename>
    <member kind="function">
      <type></type>
      <name>SorryAction</name>
      <anchor>a0</anchor>
      <arglist>(KPilotDeviceLink *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>exec</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WelcomeAction</name>
    <filename>classWelcomeAction.html</filename>
    <member kind="function">
      <type></type>
      <name>WelcomeAction</name>
      <anchor>a0</anchor>
      <arglist>(KPilotDeviceLink *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>exec</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
