<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>KDateEdit</name>
    <filename>classKDateEdit.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>dateChanged</name>
      <anchor>l0</anchor>
      <arglist>(QDate)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>invalidDateEntered</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDateEdit</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inputIsValid</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>date</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDate</name>
      <anchor>a4</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>defaultDate</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultDate</name>
      <anchor>a6</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHandleInvalid</name>
      <anchor>a7</anchor>
      <arglist>(bool handleInvalid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handlesInvalid</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchor>a9</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>validate</name>
      <anchor>a11</anchor>
      <arglist>(const QDate &amp;newDate)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>popup</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>dateSelected</name>
      <anchor>j0</anchor>
      <arglist>(QDate)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>dateEntered</name>
      <anchor>j1</anchor>
      <arglist>(QDate)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>lineEnterPressed</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotTextChanged</name>
      <anchor>j3</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchor>j4</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsDialog</name>
    <filename>classKPrefsDialog.html</filename>
    <base>KPrefsWidManager</base>
    <member kind="slot">
      <type>void</type>
      <name>setDefaults</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>readConfig</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configChanged</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPrefsDialog</name>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton *prefs, QWidget *parent=0, char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KPrefsDialog</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>autoCreate</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotApply</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDefault</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>usrReadConfig</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>usrWriteConfig</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWid</name>
    <filename>classKPrefsWid.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchor>a0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchor>a1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QValueList&lt; QWidget * &gt;</type>
      <name>widgets</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidBool</name>
    <filename>classKPrefsWidBool.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidBool</name>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton::ItemBool *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>QCheckBox *</type>
      <name>checkBox</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QWidget * &gt;</type>
      <name>widgets</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidColor</name>
    <filename>classKPrefsWidColor.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidColor</name>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton::ItemColor *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPrefsWidColor</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QLabel *</type>
      <name>label</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KColorButton *</type>
      <name>button</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidFont</name>
    <filename>classKPrefsWidFont.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidFont</name>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton::ItemFont *item, QWidget *parent, const QString &amp;sampleText)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPrefsWidFont</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QLabel *</type>
      <name>label</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QFrame *</type>
      <name>preview</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPushButton *</type>
      <name>button</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>selectFont</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidInt</name>
    <filename>classKPrefsWidInt.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidInt</name>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton::ItemInt *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>QLabel *</type>
      <name>label</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QSpinBox *</type>
      <name>spinBox</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QWidget * &gt;</type>
      <name>widgets</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidManager</name>
    <filename>classKPrefsWidManager.html</filename>
    <member kind="function">
      <type></type>
      <name>KPrefsWidManager</name>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton *prefs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KPrefsWidManager</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KConfigSkeleton *</type>
      <name>prefs</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addWid</name>
      <anchor>a3</anchor>
      <arglist>(KPrefsWid *)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidBool *</type>
      <name>addWidBool</name>
      <anchor>a4</anchor>
      <arglist>(KConfigSkeleton::ItemBool *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidTime *</type>
      <name>addWidTime</name>
      <anchor>a5</anchor>
      <arglist>(KConfigSkeleton::ItemInt *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidColor *</type>
      <name>addWidColor</name>
      <anchor>a6</anchor>
      <arglist>(KConfigSkeleton::ItemColor *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidRadios *</type>
      <name>addWidRadios</name>
      <anchor>a7</anchor>
      <arglist>(KConfigSkeleton::ItemEnum *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidString *</type>
      <name>addWidString</name>
      <anchor>a8</anchor>
      <arglist>(KConfigSkeleton::ItemString *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidString *</type>
      <name>addWidPassword</name>
      <anchor>a9</anchor>
      <arglist>(KConfigSkeleton::ItemString *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidFont *</type>
      <name>addWidFont</name>
      <anchor>a10</anchor>
      <arglist>(KConfigSkeleton::ItemFont *item, QWidget *parent, const QString &amp;sampleText)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWidDefaults</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readWidConfig</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeWidConfig</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidRadios</name>
    <filename>classKPrefsWidRadios.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidRadios</name>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton::ItemEnum *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addRadio</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;text, const QString &amp;whatsThis=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>QButtonGroup *</type>
      <name>groupBox</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QWidget * &gt;</type>
      <name>widgets</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidString</name>
    <filename>classKPrefsWidString.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidString</name>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton::ItemString *item, QWidget *parent, QLineEdit::EchoMode echomode=QLineEdit::Normal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KPrefsWidString</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QLabel *</type>
      <name>label</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QLineEdit *</type>
      <name>lineEdit</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QWidget * &gt;</type>
      <name>widgets</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidTime</name>
    <filename>classKPrefsWidTime.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidTime</name>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton::ItemInt *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>QLabel *</type>
      <name>label</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QSpinBox *</type>
      <name>spinBox</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KVCardDrag</name>
    <filename>classKVCardDrag.html</filename>
    <member kind="function">
      <type></type>
      <name>KVCardDrag</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *dragsource=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KVCardDrag</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;content, QWidget *dragsource=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVCard</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;content)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>bool</type>
      <name>canDecode</name>
      <anchor>e0</anchor>
      <arglist>(QMimeSource *e)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>bool</type>
      <name>decode</name>
      <anchor>e1</anchor>
      <arglist>(QMimeSource *e, QString &amp;content)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchor>b0</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Komposer</name>
    <filename>namespaceKomposer.html</filename>
    <class kind="class">Komposer::Core</class>
    <member kind="typedef">
      <type>QValueList&lt; Attachment &gt;</type>
      <name>AttachmentList</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Komposer::Core</name>
    <filename>classKomposer_1_1Core.html</filename>
    <member kind="function">
      <type></type>
      <name>Core</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parentWidget=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>selectEditor</name>
      <anchor>a2</anchor>
      <arglist>(Komposer::Editor *editor)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>selectEditor</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;editor)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QPtrList&lt; Komposer::Editor &gt;</type>
      <name>editorList</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadWritePart *</type>
      <name>createPart</name>
      <anchor>a5</anchor>
      <arglist>(const char *libname)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotActivePartChanged</name>
      <anchor>j0</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPreferences</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotQuit</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>initWidgets</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadSettings</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveSettings</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadEditors</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>unloadEditors</name>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addEditor</name>
      <anchor>b5</anchor>
      <arglist>(Komposer::Editor *editor)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addPart</name>
      <anchor>b6</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KParts</name>
    <filename>namespaceKParts.html</filename>
    <class kind="class">KParts::InfoExtension</class>
    <class kind="class">KParts::SideBarExtension</class>
  </compound>
  <compound kind="class">
    <name>KParts::InfoExtension</name>
    <filename>classKParts_1_1InfoExtension.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>textChanged</name>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>iconChanged</name>
      <anchor>l1</anchor>
      <arglist>(const QPixmap &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>InfoExtension</name>
      <anchor>a0</anchor>
      <arglist>(KParts::ReadOnlyPart *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::SideBarExtension</name>
    <filename>classKParts_1_1SideBarExtension.html</filename>
    <member kind="function">
      <type></type>
      <name>SideBarExtension</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *exported, KParts::ReadOnlyPart *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>widget</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KPIM</name>
    <filename>namespaceKPIM.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; MailSummary &gt;</type>
      <name>MailList</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::Event</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1Event.html</filename>
    <member kind="enumeration">
      <name>Action</name>
      <anchor>w11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Suspended</name>
      <anchor>w11w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ThreadStarted</name>
      <anchor>w11w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>JobAPR</name>
      <anchor>w11w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Event</name>
      <anchor>a0</anchor>
      <arglist>(Action=NoAction, Thread *=0, Job *job=0)</arglist>
    </member>
    <member kind="function">
      <type>Thread *</type>
      <name>thread</name>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Job *</type>
      <name>job</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Action</type>
      <name>action</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>const int</type>
      <name>type</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::Job</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1Job.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>started</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>SPR</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>APR</name>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Job</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Job</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>execute</name>
      <anchor>a2</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isFinished</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>wakeAPR</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processEvent</name>
      <anchor>a5</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>lock</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>unlock</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>run</name>
      <anchor>b2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Thread *</type>
      <name>thread</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setFinished</name>
      <anchor>b4</anchor>
      <arglist>(bool status)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>triggerSPR</name>
      <anchor>b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>triggerAPR</name>
      <anchor>b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_finished</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QMutex *</type>
      <name>m_mutex</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Thread *</type>
      <name>m_thread</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QWaitCondition *</type>
      <name>m_wc</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::Thread</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1Thread.html</filename>
    <member kind="function">
      <type></type>
      <name>Thread</name>
      <anchor>a0</anchor>
      <arglist>(Weaver *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Thread</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>run</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>msleep</name>
      <anchor>a3</anchor>
      <arglist>(unsigned long msec)</arglist>
    </member>
    <member kind="function">
      <type>const unsigned int</type>
      <name>id</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>post</name>
      <anchor>a5</anchor>
      <arglist>(Event::Action, Job *=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::Weaver</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1Weaver.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>suspended</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>jobDone</name>
      <anchor>l2</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>threadCreated</name>
      <anchor>l3</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>threadDestroyed</name>
      <anchor>l4</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>threadBusy</name>
      <anchor>l5</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>threadSuspended</name>
      <anchor>l6</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Weaver</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0, int inventoryMin=4, int inventoryMax=32)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>enqueue</name>
      <anchor>a2</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enqueue</name>
      <anchor>a3</anchor>
      <arglist>(QPtrList&lt; Job &gt; jobs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>dequeue</name>
      <anchor>a4</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>dequeue</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>finish</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>suspend</name>
      <anchor>a7</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isIdle</name>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>queueLength</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Job *</type>
      <name>applyForWork</name>
      <anchor>a11</anchor>
      <arglist>(Thread *thread, Job *previous)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lock</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unlock</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>post</name>
      <anchor>a14</anchor>
      <arglist>(Event::Action, Thread *=0, Job *=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>threads</name>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>assignJobs</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>event</name>
      <anchor>b1</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPtrList&lt; Thread &gt;</type>
      <name>m_inventory</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPtrList&lt; Job &gt;</type>
      <name>m_assignments</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_active</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_inventoryMin</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_inventoryMax</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QWaitCondition</type>
      <name>m_jobAvailable</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QWaitCondition</type>
      <name>m_jobFinished</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_shuttingDown</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_running</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_suspend</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::WeaverExtension</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1WeaverExtension.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>threadCreated</name>
      <anchor>i0</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>threadDestroyed</name>
      <anchor>i1</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>threadBusy</name>
      <anchor>i2</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>threadSuspended</name>
      <anchor>i3</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WeaverExtension</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>attach</name>
      <anchor>a1</anchor>
      <arglist>(Weaver *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::WeaverThreadLogger</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1WeaverThreadLogger.html</filename>
    <base>KPIM::ThreadWeaver::WeaverExtension</base>
    <member kind="function">
      <type></type>
      <name>WeaverThreadLogger</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>threadCreated</name>
      <anchor>a2</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>threadDestroyed</name>
      <anchor>a3</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>threadBusy</name>
      <anchor>a4</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>threadSuspended</name>
      <anchor>a5</anchor>
      <arglist>(Thread *)</arglist>
    </member>
  </compound>
</tagfile>
