<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>KCal::ExchangeCalendar</name>
    <filename>classKCal_1_1ExchangeCalendar.html</filename>
    <member kind="function">
      <type></type>
      <name>ExchangeCalendar</name>
      <anchor>a0</anchor>
      <arglist>(KPIM::ExchangeAccount *account)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ExchangeCalendar</name>
      <anchor>a1</anchor>
      <arglist>(KPIM::ExchangeAccount *account, const QString &amp;timeZoneId)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;fileName, CalFormat *format=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEvent</name>
      <anchor>a6</anchor>
      <arglist>(Event *anEvent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteEvent</name>
      <anchor>a7</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function">
      <type>Event *</type>
      <name>event</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;UniqueStr)</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; Event &gt;</type>
      <name>rawEvents</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getHolidayForDate</name>
      <anchor>a10</anchor>
      <arglist>(const QDate &amp;qd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addTodo</name>
      <anchor>a11</anchor>
      <arglist>(Todo *todo)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteTodo</name>
      <anchor>a12</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>Todo *</type>
      <name>todo</name>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; Todo &gt;</type>
      <name>rawTodos</name>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; Todo &gt;</type>
      <name>todos</name>
      <anchor>a15</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; Todo &gt;</type>
      <name>todos</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addJournal</name>
      <anchor>a17</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Journal *</type>
      <name>journal</name>
      <anchor>a18</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Journal *</type>
      <name>journal</name>
      <anchor>a19</anchor>
      <arglist>(const QString &amp;UID)</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; Journal &gt;</type>
      <name>journals</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Alarm::List</type>
      <name>alarms</name>
      <anchor>a21</anchor>
      <arglist>(const QDateTime &amp;from, const QDateTime &amp;to)</arglist>
    </member>
    <member kind="function">
      <type>Alarm::List</type>
      <name>alarmsTo</name>
      <anchor>a22</anchor>
      <arglist>(const QDateTime &amp;to)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QPtrList&lt; Event &gt;</type>
      <name>rawEventsForDate</name>
      <anchor>b0</anchor>
      <arglist>(const QDate &amp;date, bool sorted=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QPtrList&lt; Event &gt;</type>
      <name>rawEventsForDate</name>
      <anchor>b1</anchor>
      <arglist>(const QDateTime &amp;qdt)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QPtrList&lt; Event &gt;</type>
      <name>rawEvents</name>
      <anchor>b2</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end, bool inclusive=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>update</name>
      <anchor>b3</anchor>
      <arglist>(IncidenceBase *incidence)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>incidenceUpdated</name>
      <anchor>b4</anchor>
      <arglist>(IncidenceBase *i)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>insertEvent</name>
      <anchor>b5</anchor>
      <arglist>(const Event *anEvent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::ResourceExchange</name>
    <filename>classKCal_1_1ResourceExchange.html</filename>
    <member kind="function">
      <type></type>
      <name>ResourceExchange</name>
      <anchor>a0</anchor>
      <arglist>(const KConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchor>a2</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>load</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KABC::Lock *</type>
      <name>lock</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addEvent</name>
      <anchor>a6</anchor>
      <arglist>(Event *anEvent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteEvent</name>
      <anchor>a7</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function">
      <type>Event *</type>
      <name>event</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;UniqueStr)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEvents</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getHolidayForDate</name>
      <anchor>a10</anchor>
      <arglist>(const QDate &amp;qd)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>subscribeEvents</name>
      <anchor>a11</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unsubscribeEvents</name>
      <anchor>a12</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addTodo</name>
      <anchor>a13</anchor>
      <arglist>(Todo *todo)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteTodo</name>
      <anchor>a14</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>Todo *</type>
      <name>todo</name>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>Todo::List</type>
      <name>rawTodos</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Todo::List</type>
      <name>todos</name>
      <anchor>a17</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addJournal</name>
      <anchor>a18</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>deleteJournal</name>
      <anchor>a19</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Journal *</type>
      <name>journal</name>
      <anchor>a20</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Journal *</type>
      <name>journal</name>
      <anchor>a21</anchor>
      <arglist>(const QString &amp;UID)</arglist>
    </member>
    <member kind="function">
      <type>Journal::List</type>
      <name>journals</name>
      <anchor>a22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Alarm::List</type>
      <name>alarms</name>
      <anchor>a23</anchor>
      <arglist>(const QDateTime &amp;from, const QDateTime &amp;to)</arglist>
    </member>
    <member kind="function">
      <type>Alarm::List</type>
      <name>alarmsTo</name>
      <anchor>a24</anchor>
      <arglist>(const QDateTime &amp;to)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMonitorNotify</name>
      <anchor>j0</anchor>
      <arglist>(const QValueList&lt; long &gt; &amp;IDs, const QValueList&lt; KURL &gt; &amp;urls)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMonitorError</name>
      <anchor>j1</anchor>
      <arglist>(int errorCode, const QString &amp;moreInfo)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDownloadFinished</name>
      <anchor>j2</anchor>
      <arglist>(int result, const QString &amp;moreinfo)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>downloadedEvent</name>
      <anchor>j3</anchor>
      <arglist>(KCal::Event *, const KURL &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>doOpen</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>doClose</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>b2</anchor>
      <arglist>(const QDate &amp;date, bool sorted=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>b3</anchor>
      <arglist>(const QDateTime &amp;qdt)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Event::List</type>
      <name>rawEvents</name>
      <anchor>b4</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end, bool inclusive=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>update</name>
      <anchor>b5</anchor>
      <arglist>(IncidenceBase *incidence)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>incidenceUpdated</name>
      <anchor>b6</anchor>
      <arglist>(IncidenceBase *i)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>uploadEvent</name>
      <anchor>b7</anchor>
      <arglist>(Event *event)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setTimeZoneId</name>
      <anchor>b8</anchor>
      <arglist>(const QString &amp;tzid)</arglist>
    </member>
  </compound>
</tagfile>
